Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context.enhanced
Class EnhancedContextFactory

    java.lang.Object
      org.apache.tiles.context.ChainedTilesContextFactory
          org.apache.tiles.context.enhanced.EnhancedContextFactory

All Implemented Interfaces:
  TilesContextFactory, TilesRequestContextFactory, Initializable

Deprecated. Use `EnhancedTilesApplicationContextFactory`.

    public class EnhancedContextFactory

extends ChainedTilesContextFactory

Tiles context factory to be used together with `EnhancedTilesApplicationContext`.

Version:
  $Rev: 711885 $ $Date: 2008-11-06 17:06:38 +0100 (gio, 06 nov 2008) $

Field Summary

Fields inherited from class org.apache.tiles.context.ChainedTilesContextFactory
`DEFAULT_FACTORY_CLASS_NAMES, FACTORY_CLASS_NAMES`

Constructor Summary
`EnhancedContextFactory()` Deprecated.

Method Summary
`TilesApplicationContext` | `createApplicationContext(java.lang.Object context)` Deprecated. Create a TilesApplicationContext for the given context.
`TilesRequestContext` | `createRequestContext(TilesApplicationContext context, java.lang.Object... requestItems)` Deprecated. Create a TilesRequestContext for the given context, request, and response.

Methods inherited from class org.apache.tiles.context.ChainedTilesContextFactory
`init, setFactories`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancedContextFactory

    public EnhancedContextFactory()

  Deprecated.

Method Detail

### createApplicationContext

    public TilesApplicationContext createApplicationContext(java.lang.Object context)

  Deprecated.
  Create a TilesApplicationContext for the given context.

  Specified by:
    `createApplicationContext` in interface `TilesContextFactory`
  Overrides:
    `createApplicationContext` in class `ChainedTilesContextFactory`
  Parameters:
    `context` - The (application) context to use.
  Returns:
    TilesApplicationContext The Tiles application context.

### createRequestContext

    public TilesRequestContext createRequestContext(TilesApplicationContext context,
                                                    java.lang.Object... requestItems)

  Deprecated.
  Create a TilesRequestContext for the given context, request, and response.

  Specified by:
    `createRequestContext` in interface `TilesRequestContextFactory`
  Overrides:
    `createRequestContext` in class `ChainedTilesContextFactory`
  Parameters:
    `context` - the associated `TilesApplicationContext`
    `requestItems` - the associated request items, typically a request and a response.
  Returns:
    TilesRequestContext

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.